=== debian/control ===
Source: ros-melodic-rviz-map-plugin
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ocl-icd-opencl-dev, opencl-headers, qtbase5-dev, ros-melodic-catkin, ros-melodic-hdf5-map-io, ros-melodic-mesh-msgs, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/mash_tools/rviz_map_plugin
Standards-Version: 3.9.2

Package: ros-melodic-rviz-map-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ocl-icd-opencl-dev, opencl-headers, ros-melodic-hdf5-map-io, ros-melodic-mesh-msgs, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-std-msgs
Description: RViz display types and tools for the mesh_msgs package.
